
package com.google.api.ads.adwords.jaxws.v201209.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Adgroup level bids used in budget optimizer bidding strategy.
 *             <span class="constraint AdxEnabled">This is disabled for AdX.</span>
 *           
 * 
 * <p>Java class for BudgetOptimizerAdGroupBids complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BudgetOptimizerAdGroupBids">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201209}AdGroupBids">
 *       &lt;sequence>
 *         &lt;element name="proxyKeywordMaxCpc" type="{https://adwords.google.com/api/adwords/cm/v201209}Bid" minOccurs="0"/>
 *         &lt;element name="enhancedCpcEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BudgetOptimizerAdGroupBids", propOrder = {
    "proxyKeywordMaxCpc",
    "enhancedCpcEnabled"
})
public class BudgetOptimizerAdGroupBids
    extends AdGroupBids
{

    protected Bid proxyKeywordMaxCpc;
    protected Boolean enhancedCpcEnabled;

    /**
     * Gets the value of the proxyKeywordMaxCpc property.
     * 
     * @return
     *     possible object is
     *     {@link Bid }
     *     
     */
    public Bid getProxyKeywordMaxCpc() {
        return proxyKeywordMaxCpc;
    }

    /**
     * Sets the value of the proxyKeywordMaxCpc property.
     * 
     * @param value
     *     allowed object is
     *     {@link Bid }
     *     
     */
    public void setProxyKeywordMaxCpc(Bid value) {
        this.proxyKeywordMaxCpc = value;
    }

    /**
     * Gets the value of the enhancedCpcEnabled property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isEnhancedCpcEnabled() {
        return enhancedCpcEnabled;
    }

    /**
     * Sets the value of the enhancedCpcEnabled property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setEnhancedCpcEnabled(Boolean value) {
        this.enhancedCpcEnabled = value;
    }

}
