
package com.google.api.ads.adwords.jaxws.v201206.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Conversion optimizer bidding strategy. For more information, visit the
 *             <a href="http://www.google.com/adwords/conversionoptimizer/index.html"
 *             >Conversion Optimizer site</a>.
 *             <span class="constraint AdxEnabled">This is disabled for AdX.</span>
 *           
 * 
 * <p>Java class for ConversionOptimizer complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ConversionOptimizer">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201206}BiddingStrategy">
 *       &lt;sequence>
 *         &lt;element name="pricingModel" type="{https://adwords.google.com/api/adwords/cm/v201206}PricingModel" minOccurs="0"/>
 *         &lt;element name="conversionOptimizerBidType" type="{https://adwords.google.com/api/adwords/cm/v201206}ConversionOptimizerBidType" minOccurs="0"/>
 *         &lt;element name="deduplicationMode" type="{https://adwords.google.com/api/adwords/cm/v201206}ConversionDeduplicationMode" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConversionOptimizer", propOrder = {
    "pricingModel",
    "conversionOptimizerBidType",
    "deduplicationMode"
})
public class ConversionOptimizer
    extends BiddingStrategy
{

    protected PricingModel pricingModel;
    protected ConversionOptimizerBidType conversionOptimizerBidType;
    protected ConversionDeduplicationMode deduplicationMode;

    /**
     * Gets the value of the pricingModel property.
     * 
     * @return
     *     possible object is
     *     {@link PricingModel }
     *     
     */
    public PricingModel getPricingModel() {
        return pricingModel;
    }

    /**
     * Sets the value of the pricingModel property.
     * 
     * @param value
     *     allowed object is
     *     {@link PricingModel }
     *     
     */
    public void setPricingModel(PricingModel value) {
        this.pricingModel = value;
    }

    /**
     * Gets the value of the conversionOptimizerBidType property.
     * 
     * @return
     *     possible object is
     *     {@link ConversionOptimizerBidType }
     *     
     */
    public ConversionOptimizerBidType getConversionOptimizerBidType() {
        return conversionOptimizerBidType;
    }

    /**
     * Sets the value of the conversionOptimizerBidType property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConversionOptimizerBidType }
     *     
     */
    public void setConversionOptimizerBidType(ConversionOptimizerBidType value) {
        this.conversionOptimizerBidType = value;
    }

    /**
     * Gets the value of the deduplicationMode property.
     * 
     * @return
     *     possible object is
     *     {@link ConversionDeduplicationMode }
     *     
     */
    public ConversionDeduplicationMode getDeduplicationMode() {
        return deduplicationMode;
    }

    /**
     * Sets the value of the deduplicationMode property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConversionDeduplicationMode }
     *     
     */
    public void setDeduplicationMode(ConversionDeduplicationMode value) {
        this.deduplicationMode = value;
    }

}
