
package com.google.api.ads.adwords.jaxws.v201206.cm;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Metadata to be used for retrieving offers from Google Base.
 *           
 * 
 * <p>Java class for ProductExtension complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProductExtension">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201206}AdExtension">
 *       &lt;sequence>
 *         &lt;element name="googleBaseCustomerId" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="advertiserName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="productSelection" type="{https://adwords.google.com/api/adwords/cm/v201206}ProductConditionAndGroup" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProductExtension", propOrder = {
    "googleBaseCustomerId",
    "advertiserName",
    "productSelection"
})
public class ProductExtension
    extends AdExtension
{

    protected Integer googleBaseCustomerId;
    protected String advertiserName;
    protected List<ProductConditionAndGroup> productSelection;

    /**
     * Gets the value of the googleBaseCustomerId property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getGoogleBaseCustomerId() {
        return googleBaseCustomerId;
    }

    /**
     * Sets the value of the googleBaseCustomerId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setGoogleBaseCustomerId(Integer value) {
        this.googleBaseCustomerId = value;
    }

    /**
     * Gets the value of the advertiserName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdvertiserName() {
        return advertiserName;
    }

    /**
     * Sets the value of the advertiserName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdvertiserName(String value) {
        this.advertiserName = value;
    }

    /**
     * Gets the value of the productSelection property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the productSelection property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getProductSelection().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProductConditionAndGroup }
     * 
     * 
     */
    public List<ProductConditionAndGroup> getProductSelection() {
        if (productSelection == null) {
            productSelection = new ArrayList<ProductConditionAndGroup>();
        }
        return this.productSelection;
    }

}
