
package com.google.api.ads.adwords.jaxws.v201209.info;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ApiUsageError.Reason.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ApiUsageError.Reason">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="INVALID_DATE_RANGE"/>
 *     &lt;enumeration value="SERVICE_NAME_NOT_SPECIFIED"/>
 *     &lt;enumeration value="METHOD_NAME_NOT_SPECIFIED"/>
 *     &lt;enumeration value="OPERATOR_NOT_SPECIFIED"/>
 *     &lt;enumeration value="INVALID_CLIENT_EMAIL"/>
 *     &lt;enumeration value="MAY_ONLY_SELECT_BY_EMAIL_OR_ID"/>
 *     &lt;enumeration value="INVALID_CLIENT_CUSTOMER_ID"/>
 *     &lt;enumeration value="INVALID_TOKEN_HEADER"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ApiUsageError.Reason")
@XmlEnum
public enum ApiUsageErrorReason {


    /**
     * 
     *                 Selector validation failed.
     *               
     * 
     */
    INVALID_DATE_RANGE,
    SERVICE_NAME_NOT_SPECIFIED,
    METHOD_NAME_NOT_SPECIFIED,
    OPERATOR_NOT_SPECIFIED,
    INVALID_CLIENT_EMAIL,
    MAY_ONLY_SELECT_BY_EMAIL_OR_ID,
    INVALID_CLIENT_CUSTOMER_ID,

    /**
     * 
     *                 Customer passed in an invalid token in the header.
     *               
     * 
     */
    INVALID_TOKEN_HEADER;

    public String value() {
        return name();
    }

    public static ApiUsageErrorReason fromValue(String v) {
        return valueOf(v);
    }

}
